Subject: [Fot] TR3 cam ID

From: Don Marshall <[email-masked]>
Date: Wed, 3 Oct 2012 12:39:51 -0400

Thanks to Michael Porter, I have identified the TR3 mystery cam.

It was done by American Cam Grinding in LA back in the early 80s.
 According to the guy I talked to at their shop, it was a popular hot
street grind "back in the day" and is still pretty popular now.  I happen
to have the engine for my TR3 in the shop waiting to be reassembled, so
this will probably go into that one.  When I took it out of the box it was
wrapped in a LA racing sheet from 1982, so that's how long it's been
sitting around waiting for a home.  Don
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/fot/[email-masked]